C     PROGRAM TO JUST READ ONE MT RECORD AFTER ANOTHER FOR TESTING
C
C     MAG TAPE MUST BE MOUNTED AS A 'FOREIGN VOLUMN'
C
      DIMENSION IBUF(16384),ISTAT(2),IPRM(6)
      LOGICAL*1 JBUF(16384)
      EQUIVALENCE (IBUF,JBUF)
C     SET UP VALUES FOR WTQIO WORK
      IOATT="1400
      IODET="2000
      IORLB="1000
      IORWD="2400
      IOSKIP="2440
      IEDAO="363
      IEEOF="366
      ISIZE=32768
      ITI=5
      IMT0=4
      ILP=3
      CALL GETADR(IPRM,IBUF)
      IPRM(2)=ISIZE
C     ATTACH MT0:
      CALL WTQIO(IOATT,IMT0,1,50,ISTAT)
C     REWIND MT0:
      CALL WTQIO(IORWD,IMT0,1,50,ISTAT)
  100 CONTINUE
C     START OF MAIN LOOP*** READ ONE RECORD
      CALL WTQIO(IORLB,IMT0,1,50,ISTAT,IPRM,ISW)
      GOTO 100
      END
